<?php
header('Access-Control-Allow-Origin: *');
$player_name = "Player_01";//$_POST['player_name'];
$data_string = "Data de Prueba";//$_POST['data_string'];
$nombre_archivo = $player_name.'_heartbeat.txt';
$path = "Players/".$player_name."/";

$contenido = Date('Y-m-d H:i:s')."\n";//"Añade esto al archivo\n";
echo "<br>".$path.$nombre_archivo."<br>";
// Primero vamos a asegurarnos de que el archivo existe y es escribible.
//if (is_writable($path.$nombre_archivo)) {

    // En nuestro ejemplo estamos abriendo $nombre_archivo en modo de adición.
    // El puntero al archivo está al final del archivo
    // donde irá $contenido cuando usemos fwrite() sobre él.
    if (!$gestor = fopen($path.$nombre_archivo, 'w')) {
         echo "No se puede abrir el archivo ($nombre_archivo)";
         exit;
    }

    // Escribir $contenido a nuestro archivo abierto.
    if (fwrite($gestor, $contenido) === FALSE) {
        echo "No se puede escribir en el archivo ($nombre_archivo)";
        exit;
    }

    echo "Éxito, se escribió ($contenido) en el archivo ($nombre_archivo)";

    fclose($gestor);
/*
} else {
    echo "El archivo $nombre_archivo no es escribible";
}
*/
?>